note
	description: "Summary description for {RL_JSON_LITERAL}."
	author: ""
	date: "$Date$"
	revision: "$Revision$"

class
	RL_JSON_LITERAL
inherit
	RL_JSON_NODE[STRING_32]
create
	make,
	make_from_separate

feature -- Query

	json_string : STRING_32
		do
			create Result.make_from_string (safe_string (item))
		end

	html : STRING_32
		do
			create Result.make_from_string ("<p>")
			Result.append_string_general (safe_string (item))
			Result.append ("</p>")
		end
	other_item (a_other : separate like Current) : like item
		do
			create Result.make_from_separate(a_other.item)
		end
end
