note
	description: "Summary description for {RL_SEPARATE_TABLE}."
	author: ""
	date: "$Date$"
	revision: "$Revision$"

deferred class
	RL_SEPARATE_TABLE[G,H->HASHABLE,S,K->HASH_TABLE[G,H] create make end]
feature
	make(a_count : INTEGER)
		do
			create table.make(a_count)
		end
	count : INTEGER
		do
			Result := table.count
		end
	is_empty : BOOLEAN
		do
			Result := table.is_empty
		end
	table : K
	items : like table.linear_representation
		do
			Result := table.linear_representation
		end
	put (a_g : detachable G;a_key : S)
		do
			if attached a_g as al_g then
				table.force(al_g,key(a_key))
			else
				remove(a_key)
			end
		end
	item alias "[]" (a_key : S) : detachable G  assign put
		do
			Result := table[key(a_key)]
		end
	has (a_key : S) : BOOLEAN
		do
			Result := table.has(key(a_key))
		end
	remove (a_key : S)
		do
			table.remove(key(a_key))
		end
	key (a_key : S) : H
		deferred
		end
end
